<?php


use XoopsModules\Toyline\{
    Helper,
    PhotosHandler
};

/** @var Helper $helper */
/** @var  PhotosHandler $photosHandler */

if (!defined('TOYLINE_COMMENT_FUNCTIONS_INCLUDED')) {
    define('TOYLINE_COMMENT_FUNCTIONS_INCLUDED', 1);

    // comment callback functions

    /**
     * @param $lid
     * @param $total_num
     *
     * @return mixed
     */
    function toyline_comments_update($lid, $total_num)
    {
        $helper = Helper::getInstance();
        $photosHandler = $helper->getHandler('Photos');
        $photo         = $photosHandler->get($lid);
        $photo->setVar('comments', $total_num);

        return $photosHandler->insert($photo, true);
    }

    /**
     * @param $comment
     */
    function toyline_comments_approve(&$comment)
    {
        // notification mail here
    }
}
